LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 07-20-2009, 05:57 PM   #16
metrofox
Member
 
Registered: Jan 2009
Location: Palermo, Italy
Distribution: Slackware
Posts: 236

Rep: Reputation: 37

Quote:
Originally Posted by botnet View Post
I have restored compositing. I downgraded mesa as well as pixman, dri2proto, inputproto, libFS, libXaw, libXt, and xorg-server to the versions form before the 17th. Likely not all of those packages needed to be changed, but rather than restart X after each, I just downgraded all of them, and now all is back to normal.
Well, if I'd have time I upgrade all updates one at once and seeing which the "incriminated" package is... After that I'd report it to Pat explaining our problem...
 
Old 07-20-2009, 07:57 PM   #17
vinegaroon
Member
 
Registered: Sep 2008
Posts: 99

Rep: Reputation: 21
After playing around with those packages, it seems to be xorg-server itself that is causing this. My compositing in KDE is back working again after with just xorg-server downgraded to version 1.6.1.
 
Old 07-21-2009, 02:50 AM   #18
conraid
Member
 
Registered: Feb 2008
Location: Leghorn, Tuscany, Italy
Distribution: Slackware
Posts: 112

Rep: Reputation: 33
Quote:
Originally Posted by vinegaroon View Post
After playing around with those packages, it seems to be xorg-server itself that is causing this. My compositing in KDE is back working again after with just xorg-server downgraded to version 1.6.1.

in my notebook, just downgrading all the packages before "Thu Jul 16 19:25:26 CDT 2009" back to work well

I first tried to downgrade pixman, but the problem remained
 
Old 07-21-2009, 05:07 AM   #19
metrofox
Member
 
Registered: Jan 2009
Location: Palermo, Italy
Distribution: Slackware
Posts: 236

Rep: Reputation: 37
Quote:
Originally Posted by conraid View Post
in my notebook, just downgrading all the packages before "Thu Jul 16 19:25:26 CDT 2009" back to work well

I first tried to downgrade pixman, but the problem remained
[IT]Anche tu qui sei? :P [/IT]

Well, I did it too and the problem is still the same, now...My system should work correctly with the latest updates, downgrading a package remaining back with the distribution for a "bad job" of a package is not right, so I'd solve this problem for everybody, the problem exists and I'd consider it a bug to report to Pat, before to do it I'd downgrade my distro to the updates which don't cause these problems, after I'd upgrade the packages once at time

Last edited by metrofox; 07-21-2009 at 05:15 AM.
 
Old 07-21-2009, 06:08 AM   #20
Alien Bob
Slackware Contributor
 
Registered: Sep 2005
Location: Eindhoven, The Netherlands
Distribution: Slackware
Posts: 8,435

Rep: Reputation: 7628Reputation: 7628Reputation: 7628Reputation: 7628Reputation: 7628Reputation: 7628Reputation: 7628Reputation: 7628Reputation: 7628Reputation: 7628Reputation: 7628
I am running the latest slackware-current on an Asus eeepc netbook with Intel 945GM graphics, and slackware64-current on a 64bit desktop with GeForce 6800LE graphics using NVIDIA's binary driver. On both systems I have no issues at all with KDE4 and compositing. My netbook does not have an xorg.conf file at all, and my desktop x.org.conf has only five lines, forcing the use of the binary "nvidia" driver instead of the default "nv" driver.
Are you all suffering from left-over files or packages, or have you made incompatible adjustmenst to your kernel/X.Org confgurations?

Eric
 
Old 07-21-2009, 06:36 AM   #21
conraid
Member
 
Registered: Feb 2008
Location: Leghorn, Tuscany, Italy
Distribution: Slackware
Posts: 112

Rep: Reputation: 33
Quote:
Originally Posted by Alien Bob View Post
Are you all suffering from left-over files or packages, or have you made incompatible adjustmenst to your kernel/X.Org confgurations?
in my notebook (intel x3100 (965GM) card and intel 7100 cpu) i tried with and without xorg.conf, with various xorg.conf, with 32 and 64bit (but now I removed the 64bit, installed in a little partition just to check this problem)
The problems are different, depending on the configuration

- With xorg 1.6.2, intel beta driver and mesa 7.4.4 beta
3d broken (glxgears does not show anything for examples), crash at X kdm logout, crash when I do tests in the control center, lost compositing

- With xorg 1.6.2, intel beta driver and mesa 7.4.1 beta
3d it's ok, other problems are the same

- with intel non beta I have also this problem
http://www.linuxquestions.org/questi...01#post3583601

This not testing with 64bit, i'm sorry

- all testing with or without pixman downgraded, huge and generic kernel
In the 32bit version I tried also with "my" 2.6.30.1 kernel

- with xorg 1.6.1 all ok, only brightness lcd is broken (kde4 powerdevil)


Probably depends on my hardware configuration, in other pc (but not 64bit) with nvidia card it's all ok
 
Old 07-21-2009, 10:56 AM   #22
metrofox
Member
 
Registered: Jan 2009
Location: Palermo, Italy
Distribution: Slackware
Posts: 236

Rep: Reputation: 37
Quote:
Originally Posted by Alien Bob View Post
I am running the latest slackware-current on an Asus eeepc netbook with Intel 945GM graphics, and slackware64-current on a 64bit desktop with GeForce 6800LE graphics using NVIDIA's binary driver. On both systems I have no issues at all with KDE4 and compositing. My netbook does not have an xorg.conf file at all, and my desktop x.org.conf has only five lines, forcing the use of the binary "nvidia" driver instead of the default "nv" driver.
Are you all suffering from left-over files or packages, or have you made incompatible adjustmenst to your kernel/X.Org confgurations?

Eric
I'm running on my own kernel(2.6.30.1), but switching to the huge(2.6.29.6) the situation doesn't change, I have got the same problem with my custom xorg.conf and without a xorg.conf, so the situation is still the same. I can post you my lspci(I'm on toshiba Satellite L300). I use slackware-current(32bit)

Code:
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 5 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 02)
03:00.0 Ethernet controller: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter (rev 01)
Everything worked fine before to upgrade
 
Old 07-21-2009, 12:54 PM   #23
botnet
Member
 
Registered: May 2009
Posts: 158

Original Poster
Rep: Reputation: 40
Quote:
Originally Posted by Alien Bob View Post
I am running the latest slackware-current on an Asus eeepc netbook with Intel 945GM graphics, and slackware64-current on a 64bit desktop with GeForce 6800LE graphics using NVIDIA's binary driver. On both systems I have no issues at all with KDE4 and compositing. My netbook does not have an xorg.conf file at all, and my desktop x.org.conf has only five lines, forcing the use of the binary "nvidia" driver instead of the default "nv" driver.
Are you all suffering from left-over files or packages, or have you made incompatible adjustmenst to your kernel/X.Org confgurations?

Eric
y hallo thar Bob/Eric

I, as far as I am aware, have no old packages or conflicting configurations. I do have a custom built kernel, but I am not exactly new to kernel compilation nor Xorg config customization, and this installation is only a few weeks old. But then, I do have the habit of manually compiling most packages I use outside of the Slackware package series and I can see that it is possible that something is interacting with something else to cause this problem although nothing I have installed should be interacting with any X or openGL stuff... I am content to use my current setup as there does not appear any instability, however I intend to re-install from scratch upon official Slackware 13 release and try to use slackbuilds instead of doing it all myself, so hopefully I too will have no issues once all that is sorted out.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Slackware-current KDE 4.3 Possible Bug !!!! Scuzz Slackware 3 07-13-2009 07:13 PM
problem slackware-current kde 4.2 elmana Slackware 1 04-11-2009 03:38 AM
kde 3.5.1 in Slackware/current BCarey Slackware 2 02-26-2006 06:57 PM
kde on slackware current masand Linux - Software 3 02-13-2005 06:26 AM
lost files in current kde 3.2.2 czar Slackware 1 04-24-2004 04:03 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 03:09 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration